# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-zbase32
%global libname zbase32

Name:       python-module-zbase32
Version:    1.1.3
Release:    alt1_4
Summary:    A base32 encoder/decoder

Group:      Development/Tools
License:    BSD and LGPLv2
URL:        http://allmydata.org/trac/%{libname}
Source0:    http://pypi.python.org/packages/source/z/%{libname}/%{libname}-%{version}.tar.gz
BuildArch:  noarch

BuildRequires:  python-devel python-module-setuptools python-module-pyutil
Source44: import.info

%description
An alternate base32 encoder (not RFC 3548 compliant).

%prep
%setup -q -n %{libname}-%{version}


%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

chmod 0755 %{buildroot}%{python_sitelibdir_noarch}/%{libname}/test/test_%{libname}.py
chmod 0755 %{buildroot}%{python_sitelibdir_noarch}/%{libname}/%{libname}.py

 
%check
%{__python} setup.py test

%files
%doc README
%{python_sitelibdir_noarch}/%{libname}
%{python_sitelibdir_noarch}/%{libname}-%{version}-*.egg-info


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.1.3-alt1_4
- update to new release by fcimport

* Tue Jan 01 2013 Igor Vlasenko <viy@altlinux.ru> 1.1.3-alt1_3
- initial fc import

